INNUPGRADE(8)

NAME
innupgrade - Upgrade INN configuration files

SYNOPSIS
innupgrade directory

innupgrade [-t type] -f file

DESCRIPTION
innupgrade is intended to be run during a major upgrade of INN to fix the configuration files with any required changes. If given a directory, it will scan that directory for any files that it has updates defined for, try to perform those updates, and replace the files with updated versions if applying the updates resulted in any changes. The old versions of the files will be saved with a ".OLD" extension.

If the -f flag is used, only that file will be updated. If the file name doesn't match the standard file name of an INN configuration file, the optional -t flag may be given to specify the type. See "EXAMPLES" for an example of this.

Currently, innupgrade knows how to apply the following updates:

•   inn.conf: Quote values with whitespace and comment out keys with no values, required for the change in configuration parsers introduced in INN 2.4. The new format is not backward compatible with the previous parser, since the previous parser will include the double-quotes in the value of the parameter.

Normally, innupgrade should be run on the pathetc directory after any upgrade of INN other than a patch release (any upgrade that changes the first or second version numbers). This may occur automatically during the upgrade process.

OPTIONS

-f file
    Only act on file rather than working on an entire directory.

-t type
    For a file specified with -f, parse it and upgrade it as if it were named type. Used for upgrading files with the same syntax as normal INN configuration files but with different names. Only makes sense in combination with -f.

EXAMPLES
Upgrade any configuration files found in /usr/local/news/etc:

    innupgrade /usr/local/news/etc

Upgrade only /news/etc/inn.conf:

    innupgrade -f /news/etc/inn.conf

Upgrade a file named inn-special.conf that should have the same syntax as inn.conf:

    innupgrade -t inn.conf -f inn-special.conf

Any upgrade rules that apply to inn.conf will be applied to the alternate file.

HISTORY
Written by Russ Allbery <rra@stanford.edu> for InterNetNews.

$Id: innupgrade.8,v 1.2 2002/12/03 05:31:10 vinocur Exp $